# RakNet::Client_GetPresence Struct Reference

Gets in-memory information about a user's login state, such as which game they are playing, or if they are playing a game This can also be a quick way to query if a user is logged in or not. If they are not logged in, presence will be set to Lobby2Presence::NOT_ONLINE. More...

`#include <Lobby2Message.h>`

Inheritance diagram for RakNet::Client_GetPresence:

List of all members.

## Public Member Functions
virtual bool | RequiresAdmin (void) const
virtual bool | RequiresRankingPermission (void) const
virtual bool | CancelOnDisconnect (void) const
virtual bool | RequiresLogin (void) const
virtual void | Serialize (bool writeToBitstream, bool serializeOutput, RakNet::BitStream *bitStream)
| Overridable serialization of the contents of this message. Defaults to SerializeBase().
## Public Attributes
RakNet::RakString | userHandle
RakNet::Lobby2Presence | presence

## Detailed Description

Gets in-memory information about a user's login state, such as which game they are playing, or if they are playing a game This can also be a quick way to query if a user is logged in or not. If they are not logged in, presence will be set to Lobby2Presence::NOT_ONLINE.

## Member Function Documentation

virtual bool RakNet::Client_GetPresence::CancelOnDisconnect | ( | void |  | ) | const`[inline, virtual]`

Should this message not be processed on the server if the requesting user disconnects before it completes? This should be true for functions that only return data. False for functions that affect other users, or change the database

Implements RakNet::Lobby2Message.

virtual bool RakNet::Client_GetPresence::RequiresAdmin | ( | void |  | ) | const`[inline, virtual]`

Is this message something that should only be run by a system with admin privileges? Set admin privileges with Lobby2Server::AddAdminAddress()

Implements RakNet::Lobby2Message.

virtual bool RakNet::Client_GetPresence::RequiresLogin | ( | void |  | ) | const`[inline, virtual]`

Does this function require logging into the server before it can be executed? If true, the user id and user handle will be automatically inferred by the last login by looking up the sender's system address. If false, the message should include the username so the database query can lookup which user is performing this operation.

Implements RakNet::Lobby2Message.

virtual bool RakNet::Client_GetPresence::RequiresRankingPermission | ( | void |  | ) | const`[inline, virtual]`

Is this message something that should only be run by a system with ranking upload priviledges? Set ranking privileges with Lobby2Server::AddRankingAddress()

Implements RakNet::Lobby2Message.

## Member Data Documentation

RakNet::Lobby2Presence RakNet::Client_GetPresence::presence

Parameters:

  `[out]` | Presence | info to set.

RakNet::RakString RakNet::Client_GetPresence::userHandle

Parameters:

  `[in]` | Which | user we are looking up ( can be ourselves )

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/Lobby2/Lobby2Message.h